package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.OCDDAO;
import com.rjconsultores.ventaboletos.entidad.OCD;
import com.rjconsultores.ventaboletos.service.OCDService;
import com.rjconsultores.ventaboletos.vo.reembolsoocdnotacredito.ReembolsoOcdNotaCreditoVO;

@Service("ocdService")
public class OCDServiceImpl implements OCDService {

	@Autowired
	private OCDDAO ocdDAO;

	@Override
	public List<OCD> obtenerTodos() {
		return null;
	}

	@Override
	public OCD obtenerID(Integer id) {
		return null;
	}

	@Override
	public OCD suscribir(OCD entidad) {
		return null;
	}

	@Override
	public OCD actualizacion(OCD entidad) {
		return null;
	}

	@Override
	public void borrar(OCD entidad) {
	}

	@Transactional(propagation = Propagation.REQUIRED)
	@Override
	public List<ReembolsoOcdNotaCreditoVO> busquedaDatosReembolsoOcdNotaCreditoRS(Date fecInicial, Date fecFinal, Date fecPagamentoInicial, Date fecPagamentoFinal, Boolean indPago) {
		return ocdDAO.busquedaDatosReembolsoOcdNotaCreditoRS(fecInicial, fecFinal, fecPagamentoInicial, fecPagamentoFinal, indPago);
	}


}
